<?php

// Options Page
function d3tt_settings_page()
{
    GLOBAL  $wpdb;
        $mypage = add_management_page( 'myplugin', 'myplugin', 9, __FILE__, 'myplugin_admin_page' );
        $imgpath = d3tt_pluginPath(false)."img/";
        $action_url = "#";

//******* If form was submitted preformat submit
            if (isset($_POST['submitted']))
            {
                $select1        =(!isset($_POST['select1']) ? '': trim($_POST['select1']));
                $check1        =(!isset($_POST['check1'])? 'off': $_POST['check1']);
                $check2        =(!isset($_POST['check2'])? 'off': $_POST['check2']);
                $D3TT_OPTIONS = array(
                                      'd3tt_server' => $select1,
                                      'd3tt_force' => $check1,
                                      'd3tt_JS2Head' => $check2
                );
                // Update Options in Wordpress
                    foreach ($D3TT_OPTIONS as $key => $value) {
                        update_option($key, $value);
                    }// End foreach

                // WPMU Save Global Options
                $MultiSiteMsg = '';
                if(function_exists('is_multisite')) // WP MULTISITE PART
                {
                    if( is_multisite() && current_user_can('manage_network') )
                    {
                       if($_POST['wpmu_d3tt'] != false)
                       {
                            foreach ($D3TT_OPTIONS as $key => $value) {
                                update_site_option($key, $value);
                            }// End foreach
                            $MultiSiteMsg = " Multisite Default values set.";
                       }
                    }
                }//End WPMU Global

            // Show success message
                $msg_status = 'Options saved.'.$MultiSiteMsg;
                _e('<div id="message" class="updated fade"><p>' . $msg_status . '</p></div>');
                unset($msg_status,$MultiSiteMsg,$key,$value);
            }// end if:submitted



//******* Get current setup from DB or set defaults
        $d3tt_select1 = d3tt_selector(array(
        "us"=>"USA",
        "eu"=>"EUROPE"
        ), d3tt_getConf('d3tt_server',"eu"));
        $d3tt_check1    =   ( d3tt_getConf('d3tt_force')=='on' ) ? "checked":"";
        $d3tt_check2    =   ( d3tt_getConf('d3tt_JS2Head')=='on' ) ? "checked":"";


// Display Config Page

        echo <<<END
        <div id="d3ttOptions">
        <div class="wrap" style="max-width:900px !important;">
            <div id="icon-options-general" class="icon32"><br /></div>
        	<h2>Diablo 3 Tooltip for Wordpress</h2>
        	<div id="poststuff" style="margin-top:10px;">
            	<div id="sideblock">
        		 <h3>Information</h3>
                  <ul class="infoBox">

                    <img src="$imgpath/web.png"><a href="http://solariz.de" target="_blank" style="text-decoration:none;"> Author Homepage</a><br /><br />
                    <img src="$imgpath/help.png"><a href="http://solariz.de/diablo-3-tooltip-for-wordpress" target="_blank" style="text-decoration:none;"> Plugin Manual</a><br /><br />
                    <img src="$imgpath/donate.png"><a href="http://solariz.de/donate" target="_blank" style="text-decoration:none;"> How to Donate?</a> <br /><br />
                    <img src="$imgpath/star.png"><a href="http://wordpress.org/extend/plugins/highslide-4-wordpress-reloaded/" target="_blank" style="text-decoration:none;"> Rate this plugin</a><br /><br />
                  </ul>
        		<h3>The Author</h3>
                    <div class="infoBox">
                    <img src="$imgpath/mg.png" style="float:right; margin-right: -16px; padding: 2px;">Just in some short words. I doing "web stuff" since my early youth, I had the possibility to accompany the development of the Internet since the early 90's. Currently I'm living in Bochum, Germany. You can find more information in my <a href="http://solariz.de/aboutme">blog / aboutme</a>.
                    </div>
             	</div>
                <div id="mainblock" style="max-width:650px">
                    <div class="dbx-content">
		 	            <form name="sfiform" action="$action_url" method="post">
        					<input type="hidden" name="submitted" value="1" />
           				    <h3>About</h3>
                            <ul>
                              <p>This Plugin give every Wordpress installation the possibility to easily integrate a Item Information hover for Blizzard`s newest Game Diablo 3. The active Plugin scan a Wordpress content for Item definitions and allows a simple by click insertion of those item Links. The necessary JavaScript is only loaded if the displayed content use a item definition. Also it can be disabled post per post and adds a insert dialogue to the WP WYSIWYG Editor. If the website Visitor hovers a linked item a window appears displaying detailed Item information.</p>
                            </ul>

                            <h3>Options<span>[<a href="http://solariz.de/diablo-3-tooltip-for-wordpress" target="d3ttHelp">help</a>]</span></h3>
                            <ul>
                            <div>
                                <input id="check2" type="checkbox" name="check2" $d3tt_check2 />
                                <label for="check2">Add JS Include to the WP Header instead of footer.<br>On some Themes this might be neccesary to successfully load the hover script.</label>
                            </div>
                            <br/>
                            <div>
                                <input id="check1" type="checkbox" name="check1" $d3tt_check1 />
                                <label for="check1">Force Tooltip script to be included in every page! (Always load d3 tooltips.js, not recommended)</label>
                            </div>
                            <br/>
                            <!-- left aligned input -->
                            <table>
                              <tr>
                                  <td><label for="select1">Use Blizzard Source: </label></td>
                                  <td><select id="select1" name="select1">$d3tt_select1</select></td>
                              </tr>
                            </table>
                            </ul>
                            <div class="submit"><input type="submit" name="Submit" value="Save options" /></div>
END;


    if(function_exists('is_multisite')) // WP MULTISITE PART
    {
        if( is_multisite() && current_user_can('manage_network') )
        {
echo <<<END
    <h3>Multisite Options</h3>
    <ul>
    <div>
        Some Users asked me to integrate a full Wordpress Multipage support. Well, this section is kind of. I`m never worked with WPMU for myself so its hard to get a full understanding of the different API functions. Also not every function is as well documented as it should. So please see this part currently just as a experimental enhanced workaround. <br />
        <h4>How does it work ?</h4>
        Well you only see this Section if you are in a level of a Networkadmin, normal site admins just see the default settings without this part.
       <br/><br/>
        <div>
            <input id="input_wpmu_d3tt" type="checkbox" name="wpmu_d3tt" />
            <label for="input_wpmu_d3tt">Set current settings as Default Networkwide preconfiguration</label>
        </div>
    </div>
    <div class="submit"><input type="submit" name="Submit" value="Save options" /></div>
    </ul>
END;
        }
    }// END OF MULTISITE PART




echo "</form></div></div></div></div></div>";

}
// EOF
